package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class PayPalTest {

    @Test
    void getId() {
        PayPal cc = new PayPal();
        cc.setId(2348);
        long actual = cc.getId();
        long expected = 2348;
        assertEquals(actual, expected);

    }

    @Test
    void setId() {
        PayPal cc = new PayPal();
        cc.setId(5555);
        long actual = cc.getId();
        long expected = 5555;
        assertEquals(actual, expected);
    }

    @Test
    void getPayerName() {
        PayPal cc = new PayPal();
        cc.setPayerName("Vince");
        String actual = cc.getPayerName();
        String expected = "Vince";
        assertEquals(actual, expected);
    }

    @Test
    void setPayerName() {
        PayPal cc = new PayPal();
        cc.setPayerName("Vince");
        String actual = cc.getPayerName();
        String expected = "Vince";
        assertEquals(actual, expected);
    }

    @Test
    void setEmail() {

        PayPal cc = new PayPal();
        cc.setEmail("Ben");
        String actual = cc.getEmail();
        String expected = "Ben";
        assertEquals(actual, expected);
    }
    @Test
    void getEmail() {
        PayPal cc = new PayPal();
        cc.setEmail("Vince");
        String actual = cc.getEmail();
        String expected = "Vince";
        assertEquals(actual, expected);
    }

    @Test
    void compareTo() {
        Payment pp = new PayPal(1, "Tia Mowry", "tia@mowry.com");
        Payment cc = new Check(1, "Tia Mowry", "00004551","00004551" );

        assertTrue(pp.compareTo(cc) > 0);
    }
}