package com.zipcoder.payment;

import java.util.Arrays;

public class PaymentPresenter {


    public String toString(Payment[] p) {
        Arrays.sort(p);
        StringBuilder str = new StringBuilder();
        for (Payment payment : p) {
            str.append(payment.getShortDescription() + "\n");
        }
        return str.toString();
    }

    public String toStringByPayerName(Payment[] payments) {
        Arrays.sort(payments, new PaymentSortByPayer());

        return createString(payments);
    }

    public String toStringById(Payment[] payments) {
        Arrays.sort(payments);

        return createString(payments);
    }

    private String createString(Payment[] payments) {
        String str = "";
        for (Payment payment : payments) {
            str += payment.getShortDescription() + "\n";
        }
        return str;
    }
}