package com.zipcoder.payment;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class CreditCardTest {

    @Test
    void getId() {
        CreditCard cc = new CreditCard();
        cc.setId(2348);
        long actual = cc.getId();
        long expected = 2348;
        assertEquals(actual, expected);

    }

    @Test
    void setId() {
        CreditCard cc = new CreditCard();
        cc.setId(5555);
        long actual = cc.getId();
        long expected = 5555;
        assertEquals(actual, expected);
    }

    @Test
    void getPayerName() {
        CreditCard cc = new CreditCard();
        cc.setPayerName("Vince");
        String actual = cc.getPayerName();
        String expected = "Vince";
        assertEquals(actual, expected);
    }

    @Test
    void setPayerName() {

        CreditCard cc = new CreditCard();
        cc.setPayerName("Ben");
        String actual = cc.getPayerName();
        String expected = "Ben";
        assertEquals(actual, expected);
    }
    @Test
    void getNumber() {

        CreditCard cc = new CreditCard();
        cc.setNumber("444");
        String actual = cc.getNumber();
        String expected = "444";
        assertEquals(actual, expected);
    }
    @Test
    void setNumber() {

        CreditCard cc = new CreditCard();
        cc.setNumber("555");
        String actual = cc.getNumber();
        String expected = "555";
        assertEquals(actual, expected);
    }

    @Test
    void getExpiredMonth() {

        CreditCard cc = new CreditCard();
        cc.setExpiredMonth(12);
        int actual = cc.getExpiredMonth();
        int expected = 12;
        assertEquals(actual, expected);
    }
    @Test
    void setExpiredMonth() {

        CreditCard cc = new CreditCard();
        cc.setExpiredMonth(7);
        int actual = cc.getExpiredMonth();
        int expected = 7;
        assertEquals(actual, expected);
    }

    @Test
    void getExpiredYear() {

        CreditCard cc = new CreditCard();
        cc.setExpiredYear(88);
        int actual = cc.getExpiredYear();
        int expected = 88;
        assertEquals(actual, expected);
    }
    @Test
    void setExpiredYear() {

        CreditCard cc = new CreditCard();
        cc.setExpiredYear(77);
        int actual = cc.getExpiredYear();
        int expected = 77;
        assertEquals(actual, expected);
    }



}
